Package org.gradle.api.artifacts

## Interface ComponentMetadataListerDetails

-     public interface ComponentMetadataListerDetails

  Allows a custom version lister to specify the list of versions known for a specific module.
  Since:
    4.9

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ModuleIdentifier` | `getModuleIdentifier()` | Gives access to the module identifier for which the version lister should return the list of versions.
    `void` | `listed​(List<String> versions)` | List the versions of the requested component.

- - ### Method Detail

    - #### getModuleIdentifier

          ModuleIdentifier getModuleIdentifier()

      Gives access to the module identifier for which the version lister should return the list of versions.
      Returns:
        the module identifier for which versions are requested
      Since:
        4.9

    - #### listed

          void listed​(List<String> versions)

      List the versions of the requested component.
      Parameters:
        `versions` - the list of versions for the requested component.
      Since:
        4.9